Bug 103935 - ssh 3.6.1p2-1 introduces a 2-3 second delay when logging in
Summary: ssh 3.6.1p2-1 introduces a 2-3 second delay when logging in
Status: CLOSED DUPLICATE of bug 101157
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: openssh
Version: AS-beta1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-09-08 00:38 UTC by Simon Garner
Modified: 2007-04-18 16:57 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-02-21 18:58:29 UTC


Attachments (Terms of Use)

Description Simon Garner 2003-09-08 00:38:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Logging in with ssh gives an erroneous "authentication failure" message in the 
logs and generates a 2-3 second delay before successful login.

This does not occur with previous versions of openssh. Apparently this is due 
to the recent ssh security fix which passes all auth attempts to PAM so that 
the delay on failure is always the same. But in this case no failure should be 
occuring.

Refer to the following debian bug report (which is fixed and closed) for more 
details and solution:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=192207

This is also discussed on the taroon beta list:
https://www.redhat.com/archives/taroon-beta-list/2003-August/msg00171.html

This problem still occurs with the latest Red Hat openssh 3.2.6p2-6.

regards,

-Simon

Version-Release number of selected component (if applicable):
3.6.1p2-2

How reproducible:
Always

Steps to Reproduce:
1. Log in with ssh (using password authentication)
    

Actual Results:
1. authentication failure error in /var/log/messages
2. 2-3 seconds delay
3. successful login

Expected Results:
1. successful login

Additional info:

Comment 1 Michael Young 2003-09-08 12:29:21 UTC
This sounds like the same issue as bug 101157

Comment 2 Jeremy Katz 2003-10-21 20:38:14 UTC

*** This bug has been marked as a duplicate of 101157 ***

Comment 3 Red Hat Bugzilla 2006-02-21 18:58:29 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.